explain_getpgid_or_die(3)

NAME
explain_getpgid_or_die - get process group and report errors
    "get process group and report errors"

SYNOPSIS
#include <libexplain/getpgid.h>

pid_t explain_getpgid_or_die(pid_t pid);
pid_t explain_getpgid_on_error(pid_t pid);

DESCRIPTION
The explain_getpgid_or_die function is used to call the getpgid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_getpgid(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_getpgid_on_error function is used to call the getpgid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_getpgid(3) function, but still returns to the caller.

pid The pid, exactly as to be passed to the getpgid(2) system call.

RETURN VALUE
The explain_getpgid_or_die function only returns on success, see getpgid(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_getpgid_on_error function always returns the value return by the wrapped getpgid(2) system call.

EXAMPLE
The explain_getpgid_or_die function is intended to be used in a fashion similar to the following example:
    pid_t result = explain_getpgid_or_die(pid);

SEE ALSO

getpgid(2)
    get process group

explain_getpgid(3)
    explain getpgid(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2011 Peter Miller